package com.qiuguo.iot.third.nlp.action;

import com.qiuguo.iot.base.date.DateEnum;
import com.qiuguo.iot.base.utils.StringUtils;
import lombok.Data;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@Data
public class ActionTime {

    //匹配系统的动作
    /***
     * 传过来的时间名词
     */
    private String time;//
    /**
     * 解析后的具体日期 yyyy-MM-dd
     */
    private String dateTime;//
    /**
     * 解析后的具体日期 yyyy-MM-dd HH:mm:ss
     */
    private String dateDetailTime;//

    public void setTime(String t){
        LocalDateTime localDateTime;
        if(StringUtils.isNotEmpty(time)){
            localDateTime = LocalDateTime.parse(dateDetailTime);//time转
        }else{
            time = t;
            localDateTime = LocalDateTime.now();
        }
        //解析生成其他时间
        //现在，今天，明天，后天，昨天，前天，*天后，*天，
        // 下周*， *周后，*周，
        // 下个月*， *个月 *月后
        // 今年，明年，后年，去年，前年，*年 *年后
        //*分钟
        //*小时
        //*秒

        DateTimeFormatter df = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        DateTimeFormatter df1 = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        localDateTime = DateEnum.getWithCode(t).getDateTime(localDateTime);
        dateTime = localDateTime.format(df);
        dateDetailTime = localDateTime.format(df1);



    }
}
